# Uses of Class
java.util.zip.Deflater

Packages that use Deflater
Package
Description
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

- ## Uses of Deflater in java.util.zip

  Fields in java.util.zip declared as Deflater
  Modifier and Type
  Field
  Description
  `protected final Deflater`
  DeflaterInputStream.`def`
  Compressor for this stream.
  `protected Deflater`
  DeflaterOutputStream.`def`
  Compressor for this stream.
  Constructors in java.util.zip with parameters of type Deflater
  Modifier
  Constructor
  Description
  ``
  `DeflaterInputStream(InputStream in, Deflater defl)`
  Creates a new input stream with the specified compressor and a default buffer size.
  ``
  `DeflaterInputStream(InputStream in, Deflater defl, int bufLen)`
  Creates a new input stream with the specified compressor and buffer size.
  ``
  `DeflaterOutputStream(OutputStream out, Deflater def)`
  Creates a new output stream with the specified compressor and a default buffer size.
  ``
  `DeflaterOutputStream(OutputStream out, Deflater def, boolean syncFlush)`
  Creates a new output stream with the specified compressor, flush mode and a default buffer size.
  ``
  `DeflaterOutputStream(OutputStream out, Deflater def, int size)`
  Creates a new output stream with the specified compressor and buffer size.
  ``
  `DeflaterOutputStream(OutputStream out, Deflater def, int size, boolean syncFlush)`
  Creates a new output stream with the specified compressor, buffer size and flush mode.